# UAE Dubai Vehicle Challan

The Dubai Vehicle Challan API allows users to retrieve details of traffic violations (challans) issued to vehicles registered in Dubai.

### Submit Document

#### dubai\_vehicle\_challan

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/dubai_vehicle_challan`

**Post parameters description is given below**

| Post Parameter        | Type   | Is Mandatory | Description         |
| --------------------- | ------ | ------------ | ------------------- |
| traffic\_file\_number | String | Yes          | Traffic File Number |

**Sample Post Parameters**

```json
{
  "traffic_file_number": "12367950"
}
```

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "3a3095ec-2144-4212-ab84-c0419cf2140f",
  "status": "completed",
  "result": {
    "trafficFileNumber": "12367950",
    "numberOfChallan": "5",
    "totalAmount": "690.0"
  },
  "requested_at": "2026-01-27T08:53:04.074Z",
  "completed_at": "2026-01-27T05:45:23.360Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
  "status": "in_progress",
  "requested_at": "2026-01-27T11:44:58.057Z"
}
```

**400: Validation Error Response**

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Traffic File Number should not be empty",
    "field": "traffic_file_number",
    "code": "BAD_REQUEST"
  }
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "e6603867-f2e2-47e2-a89d-b790321748d6",
  "status": "failed",
  "error": {
    "message": "Data not Found for this trafficFileNumber",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T08:53:04.074Z",
  "completed_at": "2026-01-27T05:42:41.225Z"
},
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "88fe20fc-210d-4fc3-9a38-5d32589c2d6e",
  "status": "failed",
  "error": {
    "message": "\"trafficFileNumber\" length must be 8 characters long",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T14:04:48.448Z",
  "completed_at": "2026-01-27T14:04:48.882Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/utility/dubai_vehicle_challan`

**Query parameters description is given below**

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "3a3095ec-2144-4212-ab84-c0419cf2140f",
  "status": "completed",
  "result": {
    "trafficFileNumber": "12367950",
    "numberOfChallan": "5",
    "totalAmount": "690.0"
  },
  "requested_at": "2026-01-27T08:53:04.074Z",
  "completed_at": "2026-01-27T05:45:23.360Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
  "status": "in_progress",
  "requested_at": "2026-01-27T11:44:58.057Z"
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "e6603867-f2e2-47e2-a89d-b790321748d6",
  "status": "failed",
  "error": {
    "message": "Data not Found for this trafficFileNumber",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T08:53:04.074Z",
  "completed_at": "2026-01-27T05:42:41.225Z"
},
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "88fe20fc-210d-4fc3-9a38-5d32589c2d6e",
  "status": "failed",
  "error": {
    "message": "\"trafficFileNumber\" length must be 8 characters long",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T14:04:48.448Z",
  "completed_at": "2026-01-27T14:04:48.882Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/kyc-verification/document-verification/uae/uae-dubai-vehicle-challan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
